<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Document</title>
</head>
<body>
  <div id="app">
      <button onclick="vm.openForm()">Open Form</button>
      <h1 v-if="a < 10 ">{{ 'Nilai a: 0' }}</h1>
      <h1 v-if="a < 10 ">{{ 'Rata-rata: 0' }}</h1>
      <h1 v-if="a >= 10 ">{{ 'Nilai a: ' + a }}</h1>
      <h1 v-if="a >= 10 ">{{ 'Rata-rata: ' + a/counter }}</h1>

  </div>
  
  <script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"></script>
  <script>
   var vm = new Vue({
      el: '#app',
      data: {
        a : 0,
        counter : 0
      },
      methods : {
          openForm : function() {
              while(this.a < 10) {
                var i = prompt("Masukkan nilai a")
                this.a += parseInt(i)
                this.counter++
              }
              
          }
      }
  })
  </script>
</body>
</html>
